Loading...
Searching...
No Matches
molecularGraph.h File Reference
`#include <boost/graph/properties.hpp>`
`#include <boost/graph/graph_traits.hpp>`
`#include <boost/graph/adjacency_list.hpp>`
`#include <boost/graph/copy.hpp>`
`#include <list>`
`#include <BALL/COMMON/global.h>`
`#include <BALL/DATATYPE/GRAPH/graphAlgorithms.h>`

Go to the source code of this file.

## Classes

class | BALL::MolecularGraph

## Namespaces

namespace | BALL

## Typedefs

typedef boost::adjacency_list< boost::vecS, boost::vecS, boost::undirectedS, boost::property< boost::vertex_atom_ptr_t, const Atom * >, boost::property< boost::edge_bond_ptr_t, const Bond * > > | BALL::MolecularGraphBase
typedef GRAPH::GraphTraits< MolecularGraph > | BALL::MolecularGraphTraits
typedef MolecularGraph::EditableGraph | BALL::EditableMolecularGraph